<!DOCTYPE html>
<html lang="en">
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> <!--输出,条件,迭代标签库-->
<%@ page pageEncoding="utf-8" %>
<head>
    <c:import url="head.jsp"/>
    <script>

        $(function () {
            $("#navSpan").click(function () {
                prefix = 'fas fa-angle-double-';
                if ($("#navbarNavDropdown").is(":hidden")) {
                    $(this).find('i').attr('class', prefix + 'up');
                    $(this).find('b').text('Close');
                } else {
                    $(this).find('i').attr('class', prefix + 'down');
                    $(this).find('b').text('Open');
                }
            });


            $("#tabs").on('mouseenter', 'button', function () {
                $(this).find("i").show();
            });

            $("#tabs").on('mouseleave', 'button', function () {
                $(this).find("i").hide();
            });

            $("#tabs").on('click', 'button', function () {

                $(this).addClass('active');
                $(this).siblings().removeClass('active');
                $($(this).attr('href')).addClass('active show');
                $($(this).attr('href')).siblings().removeClass('active show');

                $("#menu"+$(this).data('id')).addClass('active show');
                $("#menu"+$(this).data('id')).siblings().removeClass('active show');
            });

            $("#tabs").on('click', 'i', function () {
                button=$(this).parent();
                $(button.attr('href')).remove();
                if(button.next().length==0){
                    button.prev().click();
                }else{
                    button.next().click();
                }

                button.remove();
            });
        });
    </script>
</head>

<body>

<div class="container-fluid">

    <nav class="navbar navbar-dark bg-info">
        <button class="btn btn-primary col-1" type="button" data-toggle="collapse" data-target="#navbarNavDropdown"
                aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
            <span id="navSpan"><b>Close</b>&nbsp;<i class="fas fa-angle-double-up"></i></span>
        </button>

        <div class="btn-group" aria-label="Basic example" id="tabs">

        </div>

        <form class="form-inline">
            <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-primary" type="submit">Search</button>
        </form>
    </nav>

    <c:import url="/menu?firstResult=0&maxResults=0"></c:import>

    <div class="row-fluid tab-content" id="nav-tabContent">
        <!-- 16:9 aspect ratio -->

    </div>


</div>


</body>

</html>
