package core.dao;

import db.AbstractModel;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.dao.DataAccessException;
import org.springframework.orm.hibernate5.HibernateTemplate;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

@Repository
public class BaseDao2 extends HibernateTemplate {

    @Autowired
    public BaseDao2(SessionFactory huaWeiCloud) {
        super(huaWeiCloud);
    }

    public <T extends AbstractModel> void delete(Class<T> tClass, Serializable key) throws DataAccessException {
        T model = load(tClass, key);
        if (model != null) {
            delete(model);
        }
    }
}
